{pkgs, ...}: {
  programs.fastfetch = {
    enable = true;
    settings = {
      "$schema" = "https://github.com/fastfetch-cli/fastfetch/raw/dev/doc/json_schema.json";
      logo = {
        source = "~/.config/fastfetch/animo.txt";
        padding = {
          top = 1;
        };
      };
      display = {
        separator = "  ";
      };
      modules = [
        "break"
        "break"
        "title"
        {
          type = "os";
          key = "os    ";
          keyColor = "33";
        }
        {
          type = "kernel";
          key = "kernel";
          keyColor = "33";
        }

        {
          type = "host";
          format = "{2} {1}";
          key = "host  ";
          keyColor = "33";
        }
        {
          type = "packages";
          format = "{} (nix)";
          key = "pkgs  ";
          keyColor = "33";
        }
        {
          type = "cpu";
          format = "   {1}";
          key = "cpu";
          keyColor = "33";
        }
        {
          type = "gpu";
          format = "   {2}";
          key = "gpu";
          hideType = "integrated";
          keyColor = "33";
        }
        {
          type = "memory";
          key = "memory";
          keyColor = "33";
        }
        {
          type = "disk";
          key = "disk";
          keyColor = "33";
          folders = ["/"]; # Restricts output to only the root partition
          format = "  {1} / {2} ({3})"; # Output: Used / Total (Percentage)
        }
        # {
        #   type = "uptime";
        #   key = "uptime";
        #   keyColor = "33";
        # }
        "break"
        {
          type = "colors";
          paddingLeft = "2";
          symbol = "circle";
        }
        "break"
      ];
    };
  };

  home.file.".config/fastfetch/animo.txt".source = ./animo.txt;
}
